#
# spec file for package baycomepp (Version 0.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         baycomepp
Copyright:    GPL
Group:        Networking/Utilities
Provides:     baycomepp 
Obsoletes:    baycomepp
Requires:     ax25tool net_tool
Autoreqprov:  on
Version:      0.8
Release:      112
Summary:      BaycomEPP driver
URL:	      http://www.baycom.org/bayweb/term/jnx/epp.html
BuildRoot:    /var/tmp/%{name}-root
Source:  baycomepp-%{version}.tar.gz
Patch:   baycomepp-%{version}.dif
Patch1:  baycomepp.alpha.dif

%description
This package contains the driver and diagnostic utilities
for the Baycom EPP modem family, specifically the
conventional EPP modem (using the IDT 7213x FIFO's) and
the EPPFLEX FPGA modem (using the Xilinx XCS10).

Authors:
--------
    Thomas Sailer <sailer@ife.ee.ethz.ch>

SuSE series: ham

%prep
%setup -n baycomepp-%{version}
%patch
%patch1 -p1

%build
#! /bin/bash
[ "${RPM_OPT_FLAGS/*-O*/@@HAVE_OPT@@}" != "@@HAVE_OPT@@" ] && RPM_OPT_FLAGS="$RPM_OPT_FLAGS -O"
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --localstatedir=/var \
	--libexecdir=/usr/lib --mandir=%{_mandir} --enable-driver \
	--enable-ppuser --enable-ppkdrv %{_target_cpu}-suse-linux
make

%install
%define prefix   /usr
%define libexecdir /usr/lib
%define localstatedir /var
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
   mkdir -p $RPM_BUILD_ROOT
fi
make prefix=$RPM_BUILD_ROOT%{prefix} \
     mandir=$RPM_BUILD_ROOT%{_mandir} \
     libexecdir=$RPM_BUILD_ROOT%{libexecdir} \
     install
mkdir -p $RPM_BUILD_ROOT/var/run
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m644 rc.config.baycomepp $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.baycomepp
install -m744  baycomepp.initscript_SuSE $RPM_BUILD_ROOT/etc/init.d/baycomepp
DOCDIR=$RPM_BUILD_ROOT%{_defaultdocdir}/baycomepp
DOC="AUTHORS COPYING ChangeLog INSTALL NEWS README README.SuSE"
install -d -m 755 ${DOCDIR}
install -m 644 ${DOC} ${DOCDIR}
ln -s ../../etc/init.d/baycomepp $RPM_BUILD_ROOT/usr/sbin/rcbaycomepp

%post
#!/bin/bash
sbin/insserv etc/init.d/baycomepp
echo -n "Updating etc/rc.config... "
if test -x bin/fillup ; then
    if test -e etc/rc.config.d/baycomepp.rc.config ; then
        bin/fillup -q -t       -d "=" etc/rc.config.d/baycomepp.rc.config var/adm/fillup-templates/rc.config.baycomepp
    else
        bin/fillup -q -t -r -i -d "=" etc/rc.config var/adm/fillup-templates/rc.config.baycomepp etc/rc.config.d/baycomepp.rc.config
        mv etc/rc.config.new etc/rc.config
    fi
    echo "Done."
else
    echo
    echo "ERROR: fillup not found. This should not happen. Please compare"
    echo "/etc/rc.config or /etc/rc.config.d/baycomepp.rc.config and"
    echo "/var/adm/fillup-templates/rc.config.baycomepp and update manually."
fi
exit 0

%postun
sbin/insserv etc/init.d

%files
%config(noreplace) /etc/init.d/baycomepp
/usr/lib/baycomfpga_init.so
%{_defaultdocdir}/baycomepp/AUTHORS
%{_defaultdocdir}/baycomepp/COPYING
%{_defaultdocdir}/baycomepp/ChangeLog
%{_defaultdocdir}/baycomepp/INSTALL
%{_defaultdocdir}/baycomepp/NEWS
%{_defaultdocdir}/baycomepp/README
%{_defaultdocdir}/baycomepp/README.SuSE
%{_mandir}/man8/baycomepp.8.gz
/%{_mandir}/man8/eppfpga.8.gz
/usr/sbin/baycomepp
/usr/sbin/rcbaycomepp
/usr/sbin/eppfpga
/var/adm/fillup-templates/rc.config.baycomepp

%changelog -n baycomepp
* Fri Jul 27 2001 - jreuter@suse.de
- init script now LSB compliant
* Fri Jan 12 2001 - stepan@suse.de
- alpha specific changes (insb, outsb)
* Mon Nov 27 2000 - jreuter@suse.de
- renamed to baycomepp
- obeys new init script scheme
- adds -O to CFLAGS regardless RPM_OPT_FLAGS for port access macros
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Tue Jun 06 2000 - ka@suse.de
- fixed spec file (%%{_mandir} in file list)
* Wed May 31 2000 - ka@suse.de
- update to version 0.8
- use BuildRoot in spec file
- use macros in spec file
- move configuration from rc.config to rc.config.d
- move man pages and documentation tp /usr/share/man and /usr/share/doc
- fix bug in spec file so documentation gets packed into rpm archive
* Fri Apr 14 2000 - ka@suse.de
- moved baycomfpga_init.so from /usr/libexec to /usr/lib (FHS 2.1)
* Sun Jan 30 2000 - ro@suse.de
- use sys/io.h again, glibc is fixed
* Fri Jan 21 2000 - ro@suse.de
- use sys/io.h on alpha, else asm/io.h
- avoid insb,outsb on alpha
* Fri Jan 14 2000 - ka@suse.de
- changed mandir from /usr/man to /usr/share/man (according to FHS)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - ka@suse.de
- initial release 0.7
- created SuSE-like start script /sbin/init.d/baycomepp
- adapted existing documentation for SuSE Linux
